// pages/account/index.js
import http from '../../utils/http'
import api from '../../utils/api'
import util from '../../utils/util'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    userInfo: null,
    project_num: 0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    
  },

  navigate: function (e) {
    var url = e.currentTarget.dataset.url
    if(!this.data.userInfo.phone && url == '/pages/bind/index') {
      util.error('请先进入个人信息页面进行授权')
      setTimeout(function() {
        wx.navigateTo({
          url: '/pages/user/index',
        })
      }, 1000)
      return false;
    }
    app.navigate(e)
  },

  logout() {
    wx.showActionSheet({
      itemList: ['退出登录'],
      success(res) {
        if (res.tapIndex == 0) {
          app.logout()
        }
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getTabBar().init();
    if (app.globalData.userInfo) {
      this.setData({
        userInfo: app.globalData.userInfo,
        hasUserInfo: true
      })
    }
    api.getByName(this, 'projects/getTotal', 'project_num');
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})